CREATE VIEW dbo.vDiscardedQuarterlyReports
AS
SELECT Logged, LTRIM(RTRIM(REPLACE(REPLACE(REPLACE(REPLACE(Message, 'constructing', ''), 'of', ''), 'finished', ''), ' does not finished due to the error', ''))) AS Expr1, 
               CASE WHEN message LIKE '%finished' THEN 'finished' WHEN message LIKE '%not finished%' THEN 'error' ELSE 'started' END AS process_status
FROM  dbo.LogN
WHERE (Message LIKE '%constructing%') AND ([Level] = 'Debug')